package com.moduyun.live.domain;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Data
@Component
@ConfigurationProperties(prefix = "domain.name", ignoreInvalidFields = true)
public class DomainNameUrl {

    // 推流域名
    private String pushDomainName;

    // 拉流域名
    private String pullDomainName;

    // 推流配置的key
        private String pushKey;

    // 播流配置的key
    private String pullKey;

    // 应用名称
    private String appName;

    // 直播流名称
    private String streamName;

    // 配置模板Id
    private String templateId;

    // 直播链接过期时间 单位(秒)
    private Long timestamp;
}
