package com.moduyun.live.domain;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

@Data
@ToString
@AllArgsConstructor
@NoArgsConstructor
public class Result<T> {
    private Integer code;
    private String message;
    private T Data;

    // 成功返回
    public static <T> Result<T> success(Integer code, String message, T data) {
        return new Result<>(code, message, data);
    }

    // 成功返回
    public static <T> Result<T> successNoData(Integer code, String message) {
        return new Result<>(code, message, null);
    }

    // 失败返回
    public static <T> Result<T> failed(Integer code, String message, T data) {
        return new Result<>(code, message, data);
    }

    // 失败返回
    public static <T> Result<T> failedNoData(Integer code, String message) {
        return new Result<>(code, message, null);
    }
}
